# $Revision: 1.6 $, $Date: 2009/10/16 07:39:14 $
#
# Conditional build:
%bcond_without	tests	# do not perform "make test"
#
%include	/usr/lib/rpm/macros.perl
%define		pdir	Time
%define		pnam	Normalize
Summary:	Time::Normalize - convert time and date values into standardized components
Summary(pl.UTF-8):	Time::Normalize - konwersja wartości czasu i dany na ustandaryzowane składniki
Name:		perl-Time-Normalize
Version:	0.08
Release:	1
# "same as perl"
License:	GPL v1+ or Artistic
Group:		Development/Languages/Perl
Source0:	http://www.cpan.org/modules/by-module/%{pdir}/%{pdir}-%{pnam}-%{version}.tar.gz
# Source0-md5:	9861229eb6820439d797cd968eec287e
URL:		http://search.cpan.org/dist/Time-Normalize/
BuildRequires:	perl-devel >= 1:5.8.0
BuildRequires:	rpm-perlprov >= 4.1-13
BuildArch:	noarch
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
This module performs simple but tedious (and error-prone) checks on
its inputs, and returns the time and/or date components in a
sanitized, standardized manner, suitable for use in the remainder of
your program.

%description -l pl.UTF-8
Ten moduł wykonuje proste ale nudne sprawdzenia na danych wejsciowych
i zwraca czas i/lub składniki daty w standardowej postaci,
używalnej w pozostałej części programu.

%prep
%setup -q -n %{pdir}-%{pnam}-%{version}

%build
%{__perl} Makefile.PL \
	INSTALLDIRS=vendor

%{__make}

%{?with_tests:%{__make} test}

%install
rm -rf $RPM_BUILD_ROOT

%{__make} pure_install \
	DESTDIR=$RPM_BUILD_ROOT

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc Changes README
%{perl_vendorlib}/Time/Normalize.pm
%{_mandir}/man3/*

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: perl-Time-Normalize.spec,v $
Revision 1.6  2009/10/16 07:39:14  amateja
- updated to 0.08

Revision 1.5  2007/02/13 08:06:38  glen
- tabs in preamble

Revision 1.4  2007/02/12 01:06:22  baggins
- converted to UTF-8

Revision 1.3  2006/10/21 17:09:40  ankry
- rel. 1

Revision 1.2  2006/02/25 18:42:32  qboosh
- generic URL, summaries, pl desc fixes

Revision 1.1  2006/02/23 02:36:30  agaran
- initial, rel 0.1
